Subject: Re: [PATCH 0/2] config: fix evaluating "onbranch" with nonexistent git dir

From: shejialuo <[email-masked]>
Date: Tue, 24 Sep 2024 22:20:26 +0800

On Tue, Sep 24, 2024 at 12:05:37PM +0200, Patrick Steinhardt wrote:
> Hi,
> 
> this small patch series fixes evaluating "includeIf.onbranch" conditions
> when running outside of a repository with an invalid gitdir.
> 
> Thanks!
> 
> Patrick
> 
> Patrick Steinhardt (2):
>   t1305: exercise edge cases of "onbranch" includes
>   config: fix evaluating "onbranch" with nonexistent git dir
> 
>  config.c                  | 15 +++++++++------
>  t/t1305-config-include.sh | 40 +++++++++++++++++++++++++++++++++++++++
>  2 files changed, 49 insertions(+), 6 deletions(-)
> 
> -- 
> 2.46.0.551.gc5ee8f2d1c.dirty
> 

Although I comment a lot in [PATCH 2/2], I think this series is good
enough. The reason why I comment on [PATCH 2/2] is I think we should
enhance this behavior in the future.

Thanks,
Jialuo